\ FCode for SUNW,DBRIe device on SPARCstation 20
\ This FCode file has to be present when running the Sun SS20 ROMs
\ under QEMU. If it's not, then the ROM will create a device node
\ with no "name" property, which will cause SunOS 4 to panic.
\
\ This file should be processed with the 'toke' utility from the
\ fcode-utils package from OpenBios, e.g.:
\
\ % toke dbri.fs
\
\ This will produce dbri.fc, which should be copied to QEMU's
\ "share" directory, e.g. /usr/local/share/qemu, as: QEMU,dbri.bin
\
\ This will only be used if the hw/sparc/sun4m.c module has been
\ patched to properly instantiate a SUNW,DBRIe device.
\
\ Cobbled together by Bill Paul wpaul@windriver.com
\ 04/26/2019

fcode-version3

\ Define the device name

" SUNW,DBRIe" device-name

\ Define the interrupt priority property

h# 39 encode-int 0 encode-int encode+
" intr" property

\ Define the register window property. The window is
\ at offset 0x10000 and is 0x100 bytes wide

my-address h# 10000 + my-space encode-phys
h# 100 encode-int encode+
" reg" property

end0
